Đến nội dung


Hình ảnh

giúp mình lấy lại tọa độ


  • Please log in to reply
6 replies to this topic

#1 vantori

vantori

    biết vẽ circle

  • Members
  • PipPip
  • 35 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 08 August 2011 - 11:14 AM

Truớc đây mình dùng lệnh "li" để lấy tọa độ đường polyline trong cad nhưng sao giờ khi vẽ 1 polyline(2 điểm trở lên) mình dùng lệnh "li" thì nó chỉ hiện tọa dộ của 1 điểm thôi,còn các điểm kia không hiện, các bác nào biết cách chỉ giúp e với! e xin cảm ơn nhiều!
  • 0

#2 chicong8382

chicong8382

    biết vẽ arc

  • Members
  • PipPip
  • 43 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 08 August 2011 - 11:45 AM

Có phải bạn muốn di chuyển vật thể về tọa độ 0,0,0 hoặc theo tọa độ bạn thích đúng ko? Nếu như vậy thì bạn đánh lệnh UCS -> Object -> chọn đối tượng là ok
  • 1
NGUYỄN CHÍ CÔNG
Nick chat : conghathay@yahoo.com
Tel : 0168.250.4500
WHEN DO YOU NEED HELP! PLS, CONTACT WITH ME........

#3 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 08 August 2011 - 12:46 PM

Truớc đây mình dùng lệnh "li" để lấy tọa độ đường polyline trong cad nhưng sao giờ khi vẽ 1 polyline(2 điểm trở lên) mình dùng lệnh "li" thì nó chỉ hiện tọa dộ của 1 điểm thôi,còn các điểm kia không hiện, các bác nào biết cách chỉ giúp e với! e xin cảm ơn nhiều!

Hề hề hề,
Bạn thử kiểm tra lại xem trên máy của bạn có load lisp nào mà tên lệnh trùng với cái lệnh li này của cad hay không nhé.
Tỷ như trên máy của bạn chứa cái lisp như sau:
(defun c:li ()
(setq p (cdr (assoc 10 (entget (car (entsel))))))
)
và nó đã được load thì khi bạn gõ li nó sẽ chỉ trả về tọa độ của điểm bắt đầu của polyline mà thôi.
Hề hề hề,...
Trong trường hợp như vậy, bạn hãy xóa cái tên file lisp đó trong các dường dẫn tìm kiếm và trong cái startup suit đi rồi thử lại coi sao.
Hề hề hề...
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 08 August 2011 - 01:09 PM

Hề hề hề,
Bạn thử kiểm tra lại xem trên máy của bạn có load lisp nào mà tên lệnh trùng với cái lệnh li này của cad hay không nhé.
......

Bác có thể kiểm tra như sau

(defun Ktra(TENLENH)
(IF (member TENLENH (atoms-family 1))
(alert (strcat TENLENH " da duoc LOAD"))
(alert (strcat TENLENH " khong co...."))
)
)
Thử : (Ktra "LI")
  • 1

#5 vantori

vantori

    biết vẽ circle

  • Members
  • PipPip
  • 35 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 10 August 2011 - 08:40 PM

Hề hề hề,
Bạn thử kiểm tra lại xem trên máy của bạn có load lisp nào mà tên lệnh trùng với cái lệnh li này của cad hay không nhé.
Tỷ như trên máy của bạn chứa cái lisp như sau:
(defun c:li ()
(setq p (cdr (assoc 10 (entget (car (entsel))))))
)
và nó đã được load thì khi bạn gõ li nó sẽ chỉ trả về tọa độ của điểm bắt đầu của polyline mà thôi.
Hề hề hề,...
Trong trường hợp như vậy, bạn hãy xóa cái tên file lisp đó trong các dường dẫn tìm kiếm và trong cái startup suit đi rồi thử lại coi sao.
Hề hề hề...

vậy giờ mình muốn xóa cái lisp đó thì phải làm như thế nào, có phải vào support để xóa lisp đó không bạn, cái này mình không rành lắm nên nhờ bạn chỉ giúp thêm.cảm ơn nhiều!
  • 0

#6 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5678 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 10 August 2011 - 10:33 PM

Bác có thể kiểm tra như sau


(defun Ktra(TENLENH)
(IF (member TENLENH (atoms-family 1))
(alert (strcat TENLENH " da duoc LOAD"))
(alert (strcat TENLENH " khong co...."))
)
)
Thử : (Ktra "LI")

Liệu có cần bổ sung "C:" không bác Tuệ nhỉ ^^




vậy giờ mình muốn xóa cái lisp đó thì phải làm như thế nào, có phải vào support để xóa lisp đó không bạn, cái này mình không rành lắm nên nhờ bạn chỉ giúp thêm.cảm ơn nhiều!


Bạn thử gõ lệnh .list để xem List trên máy bạn thực hiện như thế nào. Nếu vẫn bình thường, hãy thử unload toàn bộ startup suite lisp của bạn và dùng lại lệnh List.
- Nếu ok => do các lisp đã load.Hãy chịu khó vào những file đó, và kiểm tra thằng nào có dòng defun c:li thì cho nó đi thôi ^^
- Nếu không OK : bạn cần cung cấp nhiều thông tin hơn cho mọi người. Ví dụ màn hình lúc đó chẳng hạn, hoặc ID + pass Teamviewer ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#7 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6007 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 10 August 2011 - 11:59 PM

vậy giờ mình muốn xóa cái lisp đó thì phải làm như thế nào, có phải vào support để xóa lisp đó không bạn, cái này mình không rành lắm nên nhờ bạn chỉ giúp thêm.cảm ơn nhiều!

Hề hề hề,
Không phải xoá file lisp đó mà là xóa việc upload file lisp đó .
Bạn vào tools-> load application -> contents -> tên file -> remove.
Và như vậy khi mở CAD, cái file có tên bạn đã chọn sẽ không được load tự động nữa và bạn có thể kiểm tra cái lệnh li xem nó có còn bị lỗi nữa không.....

Việc xóa cái đường dẫn tới file trong đường dẫn support chỉ là để bạn không có điều kiện để click nhầm vào cái file lisp đó mà thôi. Do vậy tùy theo kinh nghiệm sử dụng CAD của bạn mà bạn chọn nên hay không nên xóa cái đường dẫn tìm kiếm này.
Theo thiển ý của mình thì không cần xóa cái này song nếu bạn còn lo lắng về việc click nhầm file khi load lisp thì có thể cứ xóa. Việc xóa này hoàn toàn có thể phục hồi được nên bạn cũng không cần quá lo nếu xóa nhầm đường dẫn.
Hề hề hề, ....
  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.